import sys

positions = [int(c) for c in sys.stdin.read().strip().split(",")]

min_position, max_position = min(positions), max(positions)

# part 1
answer_1 = min(
    sum(abs(p - position) for p in positions)
    for position in range(min_position, max_position + 1)
)
print(f"answer 1 is {answer_1}")

# part 2
answer_2 = min(
    sum(abs(p - position) * (abs(p - position) + 1) // 2 for p in positions)
    for position in range(min_position, max_position + 1)
)
print(f"answer 2 is {answer_2}")
